Retrieve group fields

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieves Individual Group Fields

This is where group fields can be determined and what fields are able to be written to and required. When creating a new object with the information from this call is important. The key value field is the one that would be used for writing into that field.

It is recommended when setting up to create or update an asset (object) in Asset Panda to keep track of the name and key together on the development end. in the sample response below a table would be kept with APID = field_255, Category = field_3, Description = field_4, Brand = field_6, Model = field_8, etc.

Sample Response

{
    "fields": [
        {
            "id": 2984729,
            "name": "APID",
            "key": "field_255",
            "type": "NumericAutoIncrementField",
            "is_only_embedded": false,
            "entity_id": 139256,
            "is_required": false,
            "is_open_field": false,
            "show_in_value": false
        },
        {
            "id": 2984731,
            "name": "Category",
            "key": "field_3",
            "type": "EntityListField",
            "is_only_embedded": false,
            "entity_id": 139256,
            "is_required": false,
            "is_open_field": false,
            "show_in_value": true
        },
        {
            "id": 2984736,
            "name": "Description",
            "key": "field_4",
            "type": "TextField",
            "is_only_embedded": false,
            "entity_id": 139256,
            "is_required": false,
            "is_open_field": false,
            "show_in_value": true
        },
        {
            "id": 2984733,
            "name": "Brand",
            "key": "field_6",
            "type": "TextField",
            "is_only_embedded": false,
            "entity_id": 139256,
            "is_required": false,
            "is_open_field": false,
            "show_in_value": true
        },
        {
            "id": 2984737,
            "name": "Model",
            "key": "field_8",
            "type": "TextField",
            "is_only_embedded": false,
            "entity_id": 139256,
            "is_required": false,
            "is_open_field": false,
            "show_in_value": true
        },
        {
            "id": 2984738,
            "name": "Serial Number",
            "key": "field_18",
            "type": "TextField",
            "is_only_embedded": false,
            "entity_id": 139256,
            "is_required": false,
            "is_open_field": false,
            "show_in_value": true
        },
        {
            "id": 2984741,
            "name": "Purchase Date",
            "key": "field_2",
            "type": "TextField",
            "is_only_embedded": false,
            "entity_id": 139256,
            "is_required": false,
            "is_open_field": false,
            "show_in_value": true
        }        
    ]
}

Parameters

KeyDescription
group_idgroup id for the selected group

Authentication

KeyDescription
AuthorizationYour Bearer token.
Path Params
integer
required
Query Params
boolean
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!